Car name: Perfect Shot
Author name: Xarc
Created: May 26, 2018
Top speed: 29.2 mph
Acceleration: great
Handling: super stable
Mass: 1.3 kg
Trans: 4WD

Useless things to know about this car:
- This car is based on a real RC car called "Tamiya Hotshot".
- I dedicate this car to fr3nchfrys3npai who asked me to take inspiration.